#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-face_recognition
Version		:	1.3.0
Release		:	17.2.0.rel%{?dist}
Summary		:	The world's simplest facial recognition api for Python and the command line

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/face_recognition/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

Requires	:	python-%{sname}_models
Requires	:	python-click
Requires	:	python-pillow
Requires	:	python3-dlib
Requires	:	python3-numpy

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Recognize and manipulate faces from Python or from
the command line with the world's simplest face
recognition library.
Built using dlib's state-of-the-art face recognition
built with deep learning. The model has an accuracy
of 99.38% on the Labeled Faces in the Wild benchmark.
This also provides a simple face_recognition command
line tool that lets you do face recognition on a
 folder of images from the command line!

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc README.rst
%license LICENSE
%{_bindir}/%{sname}
%{_bindir}/face_detection
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
